NTSecApi.PLSA_FOREST_TRUST_INFORMATION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: NTSecApi, class: PLSA_FOREST_TRUST_INFORMATION

Package com.sun.jna.platform.win32

# Class NTSecApi.PLSA_FOREST_TRUST_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.NTSecApi.PLSA_FOREST_TRUST_INFORMATION

Direct Known Subclasses:
  `NTSecApi.PLSA_FOREST_TRUST_INFORMATION.ByReference`

Enclosing interface:
  NTSecApi

@FieldOrder("fti") public static class NTSecApi.PLSA_FOREST_TRUST_INFORMATION extends Structure
The LSA_FOREST_TRUST_INFORMATION structure contains Local Security Authority forest trust information.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NTSecApi.PLSA_FOREST_TRUST_INFORMATION.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `NTSecApi.LSA_FOREST_TRUST_INFORMATION.ByReference`
  `fti`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PLSA_FOREST_TRUST_INFORMATION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fti

    public NTSecApi.LSA_FOREST_TRUST_INFORMATION.ByReference fti

- ## Constructor Details

  - ### PLSA_FOREST_TRUST_INFORMATION

    public PLSA_FOREST_TRUST_INFORMATION()